This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 733644 - Auto-mounting of DVD-ROMs fails
Auto-mounting of DVD-ROMs fails
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
15
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: udev-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-26 07:02 EDT by James
Modified: 2011-10-21 05:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-21 05:38:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James 2011-08-26 07:02:19 EDT
Description of problem:
I have some DVD-ROMs that I burned using dvdrecord on an ISO-9660 image I created with K3B. Upon inserting them, I am greeted with the message:


Error mounting: mount: block device /dev/sr0 is write-protected, mounting read-only
mount: wrong fs type, bad option, bad superblock on /dev/sr0,
       missing codepage or helper program, or other error
       In some cases useful info is found in syslog - try
       dmesg | tail  or so


and the discs are not automatically mounted. However, there appears to be nothing wrong with them: they can be read without problem on other operating systems. Moreover, I can mount the discs manually and read them fine. At no point do I see any I/O error messages in dmesg.

Output of udevadm monitor :


monitor will print the received events for:
UDEV - the event which udev sends out after rule processing
KERNEL - the kernel uevent

KERNEL[1314356104.186242] change   /devices/pci0000:00/0000:00:1f.1/host3/target3:0:0/3:0:0:0/block/sr0 (block)
UDEV  [1314356104.381819] change   /devices/pci0000:00/0000:00:1f.1/host3/target3:0:0/3:0:0:0/block/sr0 (block)
KERNEL[1314356116.180650] change   /devices/pci0000:00/0000:00:1f.1/host3/target3:0:0/3:0:0:0/block/sr0 (block)
UDEV  [1314356119.373916] change   /devices/pci0000:00/0000:00:1f.1/host3/target3:0:0/3:0:0:0/block/sr0 (block)


Output of blkid -p -o udev /dev/sr0 :


ID_FS_VERSION=Joliet\x20Extension
ID_FS_LABEL=USA_Trip_2011
ID_FS_LABEL_ENC=USA\x20Trip\x202011
ID_FS_TYPE=iso9660
ID_FS_USAGE=filesystem


Output of cd-info --dvd /dev/sr0:


cd-info version 0.82 x86_64-redhat-linux-gnu
Copyright (c) 2003, 2004, 2005, 2007, 2008 R. Bernstein
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.
CD location   : /dev/sr0
CD driver name: GNU/Linux
   access mode: ioctl

Vendor                      : Optiarc 
Model                       : DVD RW AD-7590A 
Revision                    : 1.05
Hardware                                  : CD-ROM or DVD
Can eject                                 : Yes
Can close tray                            : Yes
Can disable manual eject                  : Yes
Can select juke-box disc                  : No

Can set drive speed                       : No
Can read multiple sessions (e.g. PhotoCD) : Yes
Can hard reset device                     : Yes

Reading....
  Can read Mode 2 Form 1                  : Yes
  Can read Mode 2 Form 2                  : Yes
  Can read (S)VCD (i.e. Mode 2 Form 1/2)  : Yes
  Can read C2 Errors                      : Yes
  Can read IRSC                           : Yes
  Can read Media Channel Number (or UPC)  : Yes
  Can play audio                          : Yes
  Can read CD-DA                          : Yes
  Can read CD-R                           : Yes
  Can read CD-RW                          : Yes
  Can read DVD-ROM                        : Yes

Writing....
  Can write CD-RW                         : Yes
  Can write DVD-R                         : Yes
  Can write DVD-RAM                       : Yes
  Can write DVD-RW                        : No
  Can write DVD+RW                        : No
__________________________________

Disc mode is listed as: DVD-R
CD-ROM Track List (1 - 1)
  #: MSF       LSN    Type   Green? Copy?
  1: 00:02:00  000000 data   false  no   
170: 95:59:74  431849 leadout (968 MB raw, 843 MB formatted)
__________________________________
CD Analysis Report
CD-ROM with ISO 9660 filesystem and joliet extension level 3
ISO 9660: 1554521 blocks, label `USA Trip 2011                   '
Application: K3B THE CD KREATOR (C) 1998-2010 SEBASTIAN TRUEG AND MICHAL MALEK
Preparer   : 
Publisher  : 
System     : LINUX
Volume     : USA Trip 2011
Volume Set : 


Version-Release number of selected component (if applicable):
udev-167-4.fc15.x86_64
udisks-1.0.2-4.fc15.x86_64
k3b-2.0.2-4.fc15.x86_64
Comment 1 James 2011-08-26 08:17:15 EDT
OK, so this seems to have cleared up after a reboot, having been consistently reproducible before. Maybe something spooked udev during the burn process...
Comment 2 Harald Hoyer 2011-08-29 04:14:39 EDT
commands to run for debugging:

# udevadm info --query=all --name=/dev/sr0
# /lib/udev/cdrom_id --debug /dev/sr0
# blkid -p -o udev /dev/sr0
Comment 3 Fedora Admin XMLRPC Client 2011-10-20 12:08:56 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-10-20 12:11:07 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-10-20 12:13:11 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-10-20 12:17:38 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.